Page MenuHomePhabricator

Give Nick and Benoit access to Special:EnableFlow
Closed, ResolvedPublic

Description

Nick and Benoit should have access to Special:EnableFlow.

I think the necessary user rights are Staff and Flow bot. Philippe helped me out with it back in March.

Event Timeline

DannyH created this task.Sep 17 2015, 9:43 PM
DannyH assigned this task to Catrope.
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH added subscribers: DannyH, Quiddity, Trizek-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 9:43 PM

The global groups that have this right are Staff and Sysadmin. A number of CLs are members of the Staff group, but not Nick or Benoît. Somewhat surprisingly, I'm not a member of the sysadmin group, but Trevor is :)

Catrope set Security to None.
Catrope added a subscriber: Jalexander.

@Jalexander: We need Nick and Benoît to have the flow-create-board globally. Staff and Sysadmin have this right already, so maybe they could be added to either one of those groups (Staff already contains a bunch of CLs )? Or do we need to assign the right to another group? Or create a new group?

A number of CLs are members of the Staff group, but not Nick or Benoît.

None of the CLs are currently members of the staff group. However, all of CA are members, and Patrick was a CL before he moved to CA, so that's possibly where the confusion arises. :)

Oh that's right, Patrick and Jan are CA, not CL.

hmm, I'm honestly not completely comfortable giving out full staff rights for this. We did it for some one off reasons but that right has a lot of sensitive tools and if we're going to need to start doing it more I'd rather create a special group.

Is this something that you guys need/want globally or just locally on a specific wiki? We can work to set that up relatively quickly :)

@Jalexander We'd need it on all wikimedia wikis that are actively using Flow. (19 as of today, per https://www.mediawiki.org/wiki/Flow/Rollout with hopes for expansion over the coming months.)

Jalexander closed this task as Resolved.Oct 2 2015, 10:33 PM

Done, along with Roan

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 20 2015, 2:05 PM